ApiDisableNnHaArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiDisableNnHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiDisableNnHaArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiDisableNnHaArguments
      extends Object

  Arguments used for Disable NameNode High Availability command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiDisableNnHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDisableNnHaArguments` | `activeNnName(String activeNnName)`
    `ApiDisableNnHaArguments` | `addSnnCheckpointDirListItem(String snnCheckpointDirListItem)`
    `boolean` | `equals(Object o)`
    `String` | `getActiveNnName()` Name of the NamdeNode role that is going to be active after High Availability is disabled.
    `List<String>` | `getSnnCheckpointDirList()` List of directories used for checkpointing by the new SecondaryNameNode.
    `String` | `getSnnHostId()` Id of the host where the new SecondaryNameNode will be created.
    `String` | `getSnnName()` Name of the new SecondaryNameNode role (Optional).
    `int` | `hashCode()`
    `void` | `setActiveNnName(String activeNnName)`
    `void` | `setSnnCheckpointDirList(List<String> snnCheckpointDirList)`
    `void` | `setSnnHostId(String snnHostId)`
    `void` | `setSnnName(String snnName)`
    `ApiDisableNnHaArguments` | `snnCheckpointDirList(List<String> snnCheckpointDirList)`
    `ApiDisableNnHaArguments` | `snnHostId(String snnHostId)`
    `ApiDisableNnHaArguments` | `snnName(String snnName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiDisableNnHaArguments

          public ApiDisableNnHaArguments()

  - ### Method Detail

    - #### activeNnName

          public ApiDisableNnHaArguments activeNnName(String activeNnName)

    - #### getActiveNnName

          public String getActiveNnName()

      Name of the NamdeNode role that is going to be active after High Availability is disabled.
      Returns:
        activeNnName

    - #### setActiveNnName

          public void setActiveNnName(String activeNnName)

    - #### snnHostId

          public ApiDisableNnHaArguments snnHostId(String snnHostId)

    - #### getSnnHostId

          public String getSnnHostId()

      Id of the host where the new SecondaryNameNode will be created.
      Returns:
        snnHostId

    - #### setSnnHostId

          public void setSnnHostId(String snnHostId)

    - #### snnCheckpointDirList

          public ApiDisableNnHaArguments snnCheckpointDirList(List<String> snnCheckpointDirList)

    - #### addSnnCheckpointDirListItem

          public ApiDisableNnHaArguments addSnnCheckpointDirListItem(String snnCheckpointDirListItem)

    - #### getSnnCheckpointDirList

          public List<String> getSnnCheckpointDirList()

      List of directories used for checkpointing by the new SecondaryNameNode.
      Returns:
        snnCheckpointDirList

    - #### setSnnCheckpointDirList

          public void setSnnCheckpointDirList(List<String> snnCheckpointDirList)

    - #### snnName

          public ApiDisableNnHaArguments snnName(String snnName)

    - #### getSnnName

          public String getSnnName()

      Name of the new SecondaryNameNode role (Optional).
      Returns:
        snnName

    - #### setSnnName

          public void setSnnName(String snnName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.